package com.dgtly.sync.exception;

import com.dgtly.common.exception.base.BaseException;
import com.dgtly.sync.domain.MetaEmployee;
import com.dgtly.sync.domain.MetaEmployeeDiy;

public class NotOrgNameException extends BaseException {

    /**
     * 用户信息
     */
    private MetaEmployee metaEmployee;


    /**
     * 错误信息
     */
    private String msg;

    public NotOrgNameException(MetaEmployee metaEmployee){
        super("sync","500",
                new Object[] { "用户:"+metaEmployee.getName(),
                "packageId:"+metaEmployee.getPackageId()},null);
        String str = "用户："+metaEmployee.getName()+"在packageId:"+metaEmployee.getPackageId()+"次解析中，未能找到所属组织结构";
        this.msg = str;
        this.metaEmployee = metaEmployee;

    }

    @Override
    public String getMessage(){
        return this.msg;
    }


    public MetaEmployee getMetaNipponOrgRelation() {
        return metaEmployee;
    }
}
